import React from "react";
declare type MeyProvider = {
    children: React.ReactNode;
    BaseURL: string;
};
export declare const MeyProvider: ({ children, BaseURL }: MeyProvider) => JSX.Element;
declare function useFetch<T = any>(url: string, headers?: {
    [key: string]: any;
}): {
    data: T;
    loading: boolean;
    error: string | null | undefined;
    refetch: () => void;
};
declare function useMutation<T = any>(url: string, requestType: "post" | "put" | "delete", headers?: {
    [key: string]: any;
}): {
    data: T;
    loading: boolean;
    error: string | null | undefined;
    handleRequest: (body: any) => void;
};
export { useFetch, useMutation };
